Refund a money transaction
curl --request POST \
--url https://api.spacebring.com/transactions/money/v1/{transactionId}/refund \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction": {
"amount": 1
}
}
'import requests
url = "https://api.spacebring.com/transactions/money/v1/{transactionId}/refund"
payload = { "transaction": { "amount": 1 } }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({transaction: {amount: 1}})
};
fetch('https://api.spacebring.com/transactions/money/v1/{transactionId}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"refund": {
"currencyCode": "<string>",
"money": 123
}
}{
"message": "<string>",
"type": "<string>"
}Transactions
Refund a money transaction
Refund a succeeded money transaction, fully or partially, through the payment gateway it was paid with.
OAuth
Required scopes:transactionsPOST
/
transactions
/
money
/
v1
/
{transactionId}
/
refund
Refund a money transaction
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the transaction.
Body
application/json
Refund options for the transaction.
Show child attributes
Show child attributes
Response
OK
The refund that was made.
Show child attributes
Show child attributes
Was this page helpful?